#! /usr/bin/env python3


# some initial values
layout_geometry_keys = {
    "pitch": 50,
    "cd": 25,
    "h": 50,
    "swa": 86,
    "t": 5,
    "r_top": 10,
    "r_bot": 5
}

layout_keys = {
    "msl": 8,
    "height_offset_substrate": 20,
    "height_offset_air": 70,
    "rad_upper_n": 8,
    "rad_lower_n": 8,
}

project_keys = {
    "info_level": -1,
    "cur_deg": 1,
    "fem_deg": 4,
    "precision": 1e-9,
}

sources_keys = {
    "theta": 45,
    "phi": 45,
    "vacuum_wavelength": 266e-9
}

materials_keys = {
    "n_1": 1.967 + 4.443*1j,        # Si
    "n_2": 1.7212 + 0.1127853*1j,  # Oxide
    "n_3": 1,                     # Air
}

keys = dict()

keys.update(layout_geometry_keys)
keys.update(layout_keys)
keys.update(sources_keys)
keys.update(materials_keys)
keys.update(project_keys)
